--function to make any frame object movable
local AddOnName, nsVars = ...
local ss = nsVars.SS

local setmetatable = setmetatable

local mtMapMarker = {
  ["MapButton"] = {},
}

function mtMapMarker:Initialize()
  -- Create map button
  self.MapButton = ss.MapMarkerButton:New()

  -- Add the icon
  self.MapButton.icon = ss.MapMarkerIcon:New(self.MapButton)

  -- Add the trackingBorder
  self.MapButton.trackingBorder = ss.MapMarkerTrackingBorder:New(self.MapButton)

  -- Add the dragingFrame
  self.MapButton.dragingFrame = ss.MapMarkerDraggingFrame:New(self.MapButton)

  -- Add the tooltip
  self.MapButton.tooltip = ss.MapMarkerTooltip:New()
end

ss["MapMarker"] = setmetatable({}, { __index = mtMapMarker });
